#if !defined(AFX_FRACTALDLG_H__5AC9A364_6800_4782_A893_83B2B23B91EF__INCLUDED_)
#define AFX_FRACTALDLG_H__5AC9A364_6800_4782_A893_83B2B23B91EF__INCLUDED_
/*########################################################################
	FractalDlg.h

	Copyright 2002 Mark Williams, all rights reserved.
	Contact: mark@extrabit.com
	http://www.extrabit.com

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

########################################################################*/

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CFractalDlg dialog

/**	This derived CDialog class is used for the panel that comes up
 *	when the user selects the "View/Fractals..." menu command.
 *	It allows the user to set the parameters that control the fractal
 *	image being generated.
 */
class CFractalDlg : public CDialog
{
// Construction
public:
	CFractalDlg(CWnd* pParent = NULL);   // standard constructor

	static void set_default_view (double x, double y, double width, double angle) ;

	int inq_fractal_type (void) const { return m_fractal_type ; }
	void set_fractal_type (int type) { m_fractal_type = type ; }

// Dialog Data
	//{{AFX_DATA(CFractalDlg)
	enum { IDD = IDD_FRACTAL_DLG };
	CComboBox	m_fractal_combo;
	double	m_zx;
	double	m_zy;
	double	m_view_x;
	double	m_view_y;
	double	m_view_width;
	double	m_view_angle;
	BOOL	m_invert_u;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFractalDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CFractalDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnResetBtn();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	/**	Fractal type, as specified by combo box.
	 *	The order of the types listed in the combo box must match the
	 *	order expected by CFractalViewerApp.
	 */
	int m_fractal_type ;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FRACTALDLG_H__5AC9A364_6800_4782_A893_83B2B23B91EF__INCLUDED_)
