#ifndef JpgWriter_H
#define JpgWriter_H
/*########################################################################
	File:			JpgWriter.h
	Creation date:	6th June 2002

	Copyright 2002 Mark Williams, all rights reserved.
	Contact: mark@extrabit.com
	http://www.extrabit.com

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

########################################################################*/

/*########################################################################
	Headers
########################################################################*/

#include "rgbcolour.h"

/*########################################################################
	Declarations
########################################################################*/

/*########################################################################
	Class Definition
########################################################################*/

/**	Writes out image data as a JPG file.
 *	This provides an interface to the Independent JPEG Group's JPG library.
 */
class JpgWriter
{
public:
	JpgWriter (int quality) ;
	void write_image (CString path, int width, int height, const rgbcolour_t* rgb_data) ;

private:
	int m_quality ;
} ;


/*########################################################################
	End
########################################################################*/
#endif
