/*########################################################################
	OptionsDlg.cpp

	Copyright 2002 Mark Williams, all rights reserved.
	Contact: mark@extrabit.com
	http://www.extrabit.com

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

########################################################################*/

#include "stdafx.h"
#include "fractalviewer.h"
#include "OptionsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COptionsDlg dialog


/////////////////////////////////////////////////////////////////////////////
COptionsDlg::COptionsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(COptionsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(COptionsDlg)
	m_palette_size = 0;
	m_progressive = FALSE;
	//}}AFX_DATA_INIT

	m_aa_gridsize = 0 ;
}


/////////////////////////////////////////////////////////////////////////////
void COptionsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COptionsDlg)
	DDX_Control(pDX, IDC_AA_COMBO, m_aa_combo);
	DDX_Text(pDX, IDC_PALETTESIZE_EDIT, m_palette_size);
	DDV_MinMaxInt(pDX, m_palette_size, 2, 1024);
	DDX_Check(pDX, IDC_PROGRESSIVE_CHECK, m_progressive);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(COptionsDlg, CDialog)
	//{{AFX_MSG_MAP(COptionsDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COptionsDlg message handlers


/////////////////////////////////////////////////////////////////////////////
BOOL COptionsDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_aa_combo.SetCurSel (m_aa_gridsize-1) ;
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}


/////////////////////////////////////////////////////////////////////////////
void COptionsDlg::OnOK() 
{
	m_aa_gridsize = m_aa_combo.GetCurSel() + 1 ;

	CDialog::OnOK();
}

