/*########################################################################
	ProgressDlg.cpp

	Copyright 2002 Mark Williams, all rights reserved.
	Contact: mark@extrabit.com
	http://www.extrabit.com

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

########################################################################*/

#include "stdafx.h"
#include "fractalviewer.h"
#include "ProgressDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CProgressDlg dialog


/////////////////////////////////////////////////////////////////////////////
CProgressDlg::CProgressDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CProgressDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CProgressDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

	m_abort = false ;
}


/**	Runs the event loop, and returns true if the cancel button has been pressed.
 */
bool CProgressDlg::inq_abort (void)
{
	// Run event loop.
	MSG message ;
	while (::PeekMessage (&message, NULL, 0, 0, PM_REMOVE))
	{
		::TranslateMessage (&message) ;
		::DispatchMessage (&message) ;
	}

	return m_abort ;
}


/**	Sets the position of the progress bar.
 *	@param p The position, in the range [0,100].
 */
void CProgressDlg::set_progress (int p)
{
	m_progress_ctrl.SetPos (p) ;
}


/**	Sets the static text to the given string resource ID.
 */
void CProgressDlg::set_text (int ids)
{
	CString msg ;
	msg.Format (ids) ;
	m_msg_static.SetWindowText (msg) ;
}


/////////////////////////////////////////////////////////////////////////////
void CProgressDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CProgressDlg)
	DDX_Control(pDX, IDC_PROGRESS, m_progress_ctrl);
	DDX_Control(pDX, IDC_MSG_STATIC, m_msg_static);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CProgressDlg, CDialog)
	//{{AFX_MSG_MAP(CProgressDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CProgressDlg message handlers


/////////////////////////////////////////////////////////////////////////////
void CProgressDlg::OnCancel() 
{
	// Don't call base class which will call EndModal() - set a 
	// flag which will be returned by inq_abort().
	m_abort = true ;
}
