/*########################################################################
	File:			Vector2.cpp
	Creation date:	25th May 2002

	Copyright 2002 Mark Williams, all rights reserved.
	Contact: mark@extrabit.com
	http://www.extrabit.com

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

########################################################################*/

/*########################################################################
	Headers
########################################################################*/

#include "StdAfx.h"

#include <math.h>

#include "Vector2.h"

/*########################################################################
	Local declarations
########################################################################*/

/*########################################################################
	Local definitions
########################################################################*/


/**	@return Returns the distance from this point to the given point,
 */
double Vector2::distance_to (const Vector2& p) const
{
	double dx = m_x - p.x() ;
	double dy = m_y - p.y() ;
	return sqrt (dx*dx + dy*dy) ;
}


/**	@return Returns a Vector2 equal to this Vector2 scaled by the given factor.
 */
Vector2 Vector2::operator* (double mul) const
{
	return Vector2 (m_x*mul, m_y*mul) ;
}


/**	@return Returns a Vector2 equal to this Vector2 scaled by the recipricol of the given factor.
 */
Vector2 Vector2::operator/ (double div) const
{
	return Vector2 (m_x/div, m_y/div) ;
}


/*########################################################################
	End
########################################################################*/
