#ifndef Z7Processor_H
#define Z7Processor_H
/*########################################################################
	File:			Z7Processor.h
	Creation date:	6th June 2002

	Copyright 2002 Mark Williams, all rights reserved.
	Contact: mark@extrabit.com
	http://www.extrabit.com

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

########################################################################*/

/*########################################################################
	Headers
########################################################################*/

#include "Processor.h"

/*########################################################################
	Declarations
########################################################################*/

/*########################################################################
	Class Definition
########################################################################*/

/**	Implements 'Processor' to generate the fractal obtained by iterating
 *	z = z^7 + u.
 */
class Z7Processor : public Processor
{
public:
	virtual ComplexNumber iterate (const ComplexNumber& z, const ComplexNumber& u) const ;
	virtual unsigned short iterate_to_end (const ComplexNumber& initial_z, const ComplexNumber& u, unsigned short max_itns) const ;
} ;


/*########################################################################
	End
########################################################################*/
#endif
